Bug 622554 - FindQt4.cmake is unable to find phonon
FindQt4.cmake is unable to find phonon
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cmake (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-09 13:45 EDT by Kalev Lember
Modified: 2010-08-12 00:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: cmake-2.8.0-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 00:09:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backported patch to fix FindQt4 phonon support (1.06 KB, patch)
2010-08-09 13:45 EDT, Kalev Lember
no flags Details | Diff

  None (edit)
Description Kalev Lember 2010-08-09 13:45:22 EDT
Created attachment 437662 [details]
backported patch to fix FindQt4 phonon support

FindQt4.cmake in F-13 fails to find phonon headers. It's looking for a header named "phonon", which doesn't exist.

I'm attaching a backported fix which resolves the issue. Please build an updated cmake with this patch.

Thanks!
Comment 1 Kalev Lember 2010-08-09 15:04:06 EDT
The fix (changeset 55a3967) is a backport from cmake 2.8.2.
Comment 2 Orion Poplawski 2010-08-09 15:48:08 EDT
I've got this checked in, but having a trouble with fedpkg not able to submit a build.  Will push an update once that is working.
Comment 3 Fedora Update System 2010-08-09 16:46:05 EDT
cmake-2.8.0-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/cmake-2.8.0-3.fc13
Comment 4 Fedora Update System 2010-08-10 17:47:22 EDT
cmake-2.8.0-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cmake'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/cmake-2.8.0-3.fc13
Comment 5 Fedora Update System 2010-08-12 00:09:32 EDT
cmake-2.8.0-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.